Changeset 2429 for ThirdParty/SCIP


Ignore:
Timestamp:
Sep 3, 2011 1:28:49 PM (8 years ago)
Author:
stefan
Message:

add checks for gmp and readline; rerun autotools

Location:
ThirdParty/SCIP/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/trunk/config_scip.h.in

    r2419 r2429  
    99/* Define to 1 if the Cplex package is available */
    1010#undef COIN_HAS_CPX
     11
     12/* Define to 1 if GMP is available */
     13#undef COIN_HAS_GMP
    1114
    1215/* Define to 1 if the Gurobi package is available */
     
    2124/* Define to 1 if the QSopt package is available */
    2225#undef COIN_HAS_QSO
     26
     27/* Define to 1 if readline is available */
     28#undef COIN_HAS_READLINE
    2329
    2430/* Define to 1 if the SoPlex package is available */
     
    4046#undef HAVE_DLFCN_H
    4147
     48/* Define to 1 if you have the <gmp.h> header file. */
     49#undef HAVE_GMP_H
     50
    4251/* Define to 1 if you have the <inttypes.h> header file. */
    4352#undef HAVE_INTTYPES_H
     
    4554/* Define to 1 if you have the <memory.h> header file. */
    4655#undef HAVE_MEMORY_H
     56
     57/* Define to 1 if you have the <readline/readline.h> header file. */
     58#undef HAVE_READLINE_READLINE_H
    4759
    4860/* Define to 1 if you have the <stdint.h> header file. */
  • ThirdParty/SCIP/trunk/configure

    r2419 r2429  
    11121112  --disable-qsopt-libcheck
    11131113                          skip the link check at configuration time
     1114  --disable-zlib          do not compile with compression library zlib
     1115  --disable-gmp           do not compile with GNU multiple precision library
    11141116  --enable-gnu-packages   compile with GNU packages (disabled by default)
    11151117
     
    64276429*-*-irix6*)
    64286430  # Find out which ABI we are using.
    6429   echo '#line 6429 "configure"' > conftest.$ac_ext
     6431  echo '#line 6431 "configure"' > conftest.$ac_ext
    64306432  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64316433  (eval $ac_compile) 2>&5
     
    75617563
    75627564# Provide some information about the compiler.
    7563 echo "$as_me:7563:" \
     7565echo "$as_me:7565:" \
    75647566     "checking for Fortran 77 compiler version" >&5
    75657567ac_compiler=`set X $ac_compile; echo $2`
     
    86288630   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86298631   -e 's:$: $lt_compiler_flag:'`
    8630    (eval echo "\"\$as_me:8630: $lt_compile\"" >&5)
     8632   (eval echo "\"\$as_me:8632: $lt_compile\"" >&5)
    86318633   (eval "$lt_compile" 2>conftest.err)
    86328634   ac_status=$?
    86338635   cat conftest.err >&5
    8634    echo "$as_me:8634: \$? = $ac_status" >&5
     8636   echo "$as_me:8636: \$? = $ac_status" >&5
    86358637   if (exit $ac_status) && test -s "$ac_outfile"; then
    86368638     # The compiler can only warn and ignore the option if not recognized
     
    88968898   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88978899   -e 's:$: $lt_compiler_flag:'`
    8898    (eval echo "\"\$as_me:8898: $lt_compile\"" >&5)
     8900   (eval echo "\"\$as_me:8900: $lt_compile\"" >&5)
    88998901   (eval "$lt_compile" 2>conftest.err)
    89008902   ac_status=$?
    89018903   cat conftest.err >&5
    8902    echo "$as_me:8902: \$? = $ac_status" >&5
     8904   echo "$as_me:8904: \$? = $ac_status" >&5
    89038905   if (exit $ac_status) && test -s "$ac_outfile"; then
    89048906     # The compiler can only warn and ignore the option if not recognized
     
    90009002   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90019003   -e 's:$: $lt_compiler_flag:'`
    9002    (eval echo "\"\$as_me:9002: $lt_compile\"" >&5)
     9004   (eval echo "\"\$as_me:9004: $lt_compile\"" >&5)
    90039005   (eval "$lt_compile" 2>out/conftest.err)
    90049006   ac_status=$?
    90059007   cat out/conftest.err >&5
    9006    echo "$as_me:9006: \$? = $ac_status" >&5
     9008   echo "$as_me:9008: \$? = $ac_status" >&5
    90079009   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    90089010   then
     
    1134511347  lt_status=$lt_dlunknown
    1134611348  cat > conftest.$ac_ext <<EOF
    11347 #line 11347 "configure"
     11349#line 11349 "configure"
    1134811350#include "confdefs.h"
    1134911351
     
    1144511447  lt_status=$lt_dlunknown
    1144611448  cat > conftest.$ac_ext <<EOF
    11447 #line 11447 "configure"
     11449#line 11449 "configure"
    1144811450#include "confdefs.h"
    1144911451
     
    1378913791   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1379013792   -e 's:$: $lt_compiler_flag:'`
    13791    (eval echo "\"\$as_me:13791: $lt_compile\"" >&5)
     13793   (eval echo "\"\$as_me:13793: $lt_compile\"" >&5)
    1379213794   (eval "$lt_compile" 2>conftest.err)
    1379313795   ac_status=$?
    1379413796   cat conftest.err >&5
    13795    echo "$as_me:13795: \$? = $ac_status" >&5
     13797   echo "$as_me:13797: \$? = $ac_status" >&5
    1379613798   if (exit $ac_status) && test -s "$ac_outfile"; then
    1379713799     # The compiler can only warn and ignore the option if not recognized
     
    1389313895   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1389413896   -e 's:$: $lt_compiler_flag:'`
    13895    (eval echo "\"\$as_me:13895: $lt_compile\"" >&5)
     13897   (eval echo "\"\$as_me:13897: $lt_compile\"" >&5)
    1389613898   (eval "$lt_compile" 2>out/conftest.err)
    1389713899   ac_status=$?
    1389813900   cat out/conftest.err >&5
    13899    echo "$as_me:13899: \$? = $ac_status" >&5
     13901   echo "$as_me:13901: \$? = $ac_status" >&5
    1390013902   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1390113903   then
     
    1546315465   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1546415466   -e 's:$: $lt_compiler_flag:'`
    15465    (eval echo "\"\$as_me:15465: $lt_compile\"" >&5)
     15467   (eval echo "\"\$as_me:15467: $lt_compile\"" >&5)
    1546615468   (eval "$lt_compile" 2>conftest.err)
    1546715469   ac_status=$?
    1546815470   cat conftest.err >&5
    15469    echo "$as_me:15469: \$? = $ac_status" >&5
     15471   echo "$as_me:15471: \$? = $ac_status" >&5
    1547015472   if (exit $ac_status) && test -s "$ac_outfile"; then
    1547115473     # The compiler can only warn and ignore the option if not recognized
     
    1556715569   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1556815570   -e 's:$: $lt_compiler_flag:'`
    15569    (eval echo "\"\$as_me:15569: $lt_compile\"" >&5)
     15571   (eval echo "\"\$as_me:15571: $lt_compile\"" >&5)
    1557015572   (eval "$lt_compile" 2>out/conftest.err)
    1557115573   ac_status=$?
    1557215574   cat out/conftest.err >&5
    15573    echo "$as_me:15573: \$? = $ac_status" >&5
     15575   echo "$as_me:15575: \$? = $ac_status" >&5
    1557415576   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1557515577   then
     
    1777417776   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1777517777   -e 's:$: $lt_compiler_flag:'`
    17776    (eval echo "\"\$as_me:17776: $lt_compile\"" >&5)
     17778   (eval echo "\"\$as_me:17778: $lt_compile\"" >&5)
    1777717779   (eval "$lt_compile" 2>conftest.err)
    1777817780   ac_status=$?
    1777917781   cat conftest.err >&5
    17780    echo "$as_me:17780: \$? = $ac_status" >&5
     17782   echo "$as_me:17782: \$? = $ac_status" >&5
    1778117783   if (exit $ac_status) && test -s "$ac_outfile"; then
    1778217784     # The compiler can only warn and ignore the option if not recognized
     
    1804218044   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1804318045   -e 's:$: $lt_compiler_flag:'`
    18044    (eval echo "\"\$as_me:18044: $lt_compile\"" >&5)
     18046   (eval echo "\"\$as_me:18046: $lt_compile\"" >&5)
    1804518047   (eval "$lt_compile" 2>conftest.err)
    1804618048   ac_status=$?
    1804718049   cat conftest.err >&5
    18048    echo "$as_me:18048: \$? = $ac_status" >&5
     18050   echo "$as_me:18050: \$? = $ac_status" >&5
    1804918051   if (exit $ac_status) && test -s "$ac_outfile"; then
    1805018052     # The compiler can only warn and ignore the option if not recognized
     
    1814618148   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1814718149   -e 's:$: $lt_compiler_flag:'`
    18148    (eval echo "\"\$as_me:18148: $lt_compile\"" >&5)
     18150   (eval echo "\"\$as_me:18150: $lt_compile\"" >&5)
    1814918151   (eval "$lt_compile" 2>out/conftest.err)
    1815018152   ac_status=$?
    1815118153   cat out/conftest.err >&5
    18152    echo "$as_me:18152: \$? = $ac_status" >&5
     18154   echo "$as_me:18154: \$? = $ac_status" >&5
    1815318155   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1815418156   then
     
    2439124393#############################################################################
    2439224394
    24393 # Check whether --enable-gnu-packages or --disable-gnu-packages was given.
    24394 if test "${enable_gnu_packages+set}" = set; then
    24395   enableval="$enable_gnu_packages"
    24396   coin_enable_gnu=$enableval
    24397 else
    24398   coin_enable_gnu=no
     24395
     24396
     24397
     24398
     24399
     24400
     24401coin_has_zlib=no
     24402
     24403# Check whether --enable-zlib or --disable-zlib was given.
     24404if test "${enable_zlib+set}" = set; then
     24405  enableval="$enable_zlib"
     24406  coin_enable_zlib=$enableval
     24407else
     24408  coin_enable_zlib=yes
    2439924409fi;
    2440024410
    24401 
    24402 
    24403 
    24404 
    24405 
    24406 
    24407 coin_has_zlib=no
    24408 if test $coin_enable_gnu = yes; then
     24411if test $coin_enable_zlib = yes; then
    2440924412  #if test x"" = x; then
    2441024413#  hdr="#include <zlib.h>"
     
    2463124634echo "${ECHO_T}$ac_cv_lib_z_gzopen" >&6
    2463224635if test $ac_cv_lib_z_gzopen = yes; then
     24636  :
     24637else
     24638  coin_has_zlib=no
     24639fi
     24640
     24641  fi
     24642
     24643  if test $coin_has_zlib = yes; then
    2463324644
    2463424645                    SCIPLIB_LIBS="-lz $SCIPLIB_LIBS"
     
    2463624647                    SCIPLIB_LIBS_INSTALLED="-lz $SCIPLIB_LIBS_INSTALLED"
    2463724648
    24638                  :
    24639 else
    24640   coin_has_zlib=no
    24641 fi
    24642 
    24643   fi
    24644 
    24645   if test $coin_has_zlib = yes; then
    2464624649
    2464724650cat >>confdefs.h <<\_ACEOF
     
    2466524668if test $coin_has_zlib = "yes"; then
    2466624669  EXTRAFLAGS="$EXTRAFLAGS -DWITH_ZLIB"
     24670fi
     24671
     24672
     24673
     24674
     24675
     24676
     24677
     24678# Check whether --enable-gmp or --disable-gmp was given.
     24679if test "${enable_gmp+set}" = set; then
     24680  enableval="$enable_gmp"
     24681  coin_enable_gmp=$enableval
     24682else
     24683  coin_enable_gmp=yes
     24684fi;
     24685
     24686coin_has_gmp=no
     24687if test $coin_enable_gmp = yes; then
     24688  #if test x"" = x; then
     24689#  hdr="#include <gmp.h>"
     24690#else
     24691#  hdr=""
     24692#fi
     24693#AC_CHECK_HEADERS([gmp.h],[AC_CHECK_LIB([gmp],[__gmpz_init],[coin_has_gmp=yes])],[],[$hdr])
     24694
     24695for ac_header in gmp.h
     24696do
     24697as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     24698if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24699  echo "$as_me:$LINENO: checking for $ac_header" >&5
     24700echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24701if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24702  echo $ECHO_N "(cached) $ECHO_C" >&6
     24703fi
     24704echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24705echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24706else
     24707  # Is the header compilable?
     24708echo "$as_me:$LINENO: checking $ac_header usability" >&5
     24709echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     24710cat >conftest.$ac_ext <<_ACEOF
     24711/* confdefs.h.  */
     24712_ACEOF
     24713cat confdefs.h >>conftest.$ac_ext
     24714cat >>conftest.$ac_ext <<_ACEOF
     24715/* end confdefs.h.  */
     24716$ac_includes_default
     24717#include <$ac_header>
     24718_ACEOF
     24719rm -f conftest.$ac_objext
     24720if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     24721  (eval $ac_compile) 2>conftest.er1
     24722  ac_status=$?
     24723  grep -v '^ *+' conftest.er1 >conftest.err
     24724  rm -f conftest.er1
     24725  cat conftest.err >&5
     24726  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24727  (exit $ac_status); } &&
     24728         { ac_try='test -z "$ac_c_werror_flag"
     24729                         || test ! -s conftest.err'
     24730  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24731  (eval $ac_try) 2>&5
     24732  ac_status=$?
     24733  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24734  (exit $ac_status); }; } &&
     24735         { ac_try='test -s conftest.$ac_objext'
     24736  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24737  (eval $ac_try) 2>&5
     24738  ac_status=$?
     24739  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24740  (exit $ac_status); }; }; then
     24741  ac_header_compiler=yes
     24742else
     24743  echo "$as_me: failed program was:" >&5
     24744sed 's/^/| /' conftest.$ac_ext >&5
     24745
     24746ac_header_compiler=no
     24747fi
     24748rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     24749echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     24750echo "${ECHO_T}$ac_header_compiler" >&6
     24751
     24752# Is the header present?
     24753echo "$as_me:$LINENO: checking $ac_header presence" >&5
     24754echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     24755cat >conftest.$ac_ext <<_ACEOF
     24756/* confdefs.h.  */
     24757_ACEOF
     24758cat confdefs.h >>conftest.$ac_ext
     24759cat >>conftest.$ac_ext <<_ACEOF
     24760/* end confdefs.h.  */
     24761#include <$ac_header>
     24762_ACEOF
     24763if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     24764  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     24765  ac_status=$?
     24766  grep -v '^ *+' conftest.er1 >conftest.err
     24767  rm -f conftest.er1
     24768  cat conftest.err >&5
     24769  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24770  (exit $ac_status); } >/dev/null; then
     24771  if test -s conftest.err; then
     24772    ac_cpp_err=$ac_c_preproc_warn_flag
     24773    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     24774  else
     24775    ac_cpp_err=
     24776  fi
     24777else
     24778  ac_cpp_err=yes
     24779fi
     24780if test -z "$ac_cpp_err"; then
     24781  ac_header_preproc=yes
     24782else
     24783  echo "$as_me: failed program was:" >&5
     24784sed 's/^/| /' conftest.$ac_ext >&5
     24785
     24786  ac_header_preproc=no
     24787fi
     24788rm -f conftest.err conftest.$ac_ext
     24789echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     24790echo "${ECHO_T}$ac_header_preproc" >&6
     24791
     24792# So?  What about this header?
     24793case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     24794  yes:no: )
     24795    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     24796echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     24797    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     24798echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     24799    ac_header_preproc=yes
     24800    ;;
     24801  no:yes:* )
     24802    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     24803echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     24804    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     24805echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     24806    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     24807echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     24808    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     24809echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     24810    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     24811echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     24812    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     24813echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     24814    (
     24815      cat <<\_ASBOX
     24816## --------------------------------------------------------------- ##
     24817## Report this to http://projects.coin-or.org/BuildTools/newticket ##
     24818## --------------------------------------------------------------- ##
     24819_ASBOX
     24820    ) |
     24821      sed "s/^/$as_me: WARNING:     /" >&2
     24822    ;;
     24823esac
     24824echo "$as_me:$LINENO: checking for $ac_header" >&5
     24825echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24826if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24827  echo $ECHO_N "(cached) $ECHO_C" >&6
     24828else
     24829  eval "$as_ac_Header=\$ac_header_preproc"
     24830fi
     24831echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     24832echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     24833
     24834fi
     24835if test `eval echo '${'$as_ac_Header'}'` = yes; then
     24836  cat >>confdefs.h <<_ACEOF
     24837#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     24838_ACEOF
     24839 echo "$as_me:$LINENO: checking for __gmpz_init in -lgmp" >&5
     24840echo $ECHO_N "checking for __gmpz_init in -lgmp... $ECHO_C" >&6
     24841if test "${ac_cv_lib_gmp___gmpz_init+set}" = set; then
     24842  echo $ECHO_N "(cached) $ECHO_C" >&6
     24843else
     24844  ac_check_lib_save_LIBS=$LIBS
     24845LIBS="-lgmp  $LIBS"
     24846cat >conftest.$ac_ext <<_ACEOF
     24847/* confdefs.h.  */
     24848_ACEOF
     24849cat confdefs.h >>conftest.$ac_ext
     24850cat >>conftest.$ac_ext <<_ACEOF
     24851/* end confdefs.h.  */
     24852
     24853/* Override any gcc2 internal prototype to avoid an error.  */
     24854#ifdef __cplusplus
     24855extern "C"
     24856#endif
     24857/* We use char because int might match the return type of a gcc2
     24858   builtin and then its argument prototype would still apply.  */
     24859char __gmpz_init ();
     24860int
     24861main ()
     24862{
     24863__gmpz_init ();
     24864  ;
     24865  return 0;
     24866}
     24867_ACEOF
     24868rm -f conftest.$ac_objext conftest$ac_exeext
     24869if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     24870  (eval $ac_link) 2>conftest.er1
     24871  ac_status=$?
     24872  grep -v '^ *+' conftest.er1 >conftest.err
     24873  rm -f conftest.er1
     24874  cat conftest.err >&5
     24875  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24876  (exit $ac_status); } &&
     24877         { ac_try='test -z "$ac_c_werror_flag"
     24878                         || test ! -s conftest.err'
     24879  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24880  (eval $ac_try) 2>&5
     24881  ac_status=$?
     24882  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24883  (exit $ac_status); }; } &&
     24884         { ac_try='test -s conftest$ac_exeext'
     24885  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24886  (eval $ac_try) 2>&5
     24887  ac_status=$?
     24888  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24889  (exit $ac_status); }; }; then
     24890  ac_cv_lib_gmp___gmpz_init=yes
     24891else
     24892  echo "$as_me: failed program was:" >&5
     24893sed 's/^/| /' conftest.$ac_ext >&5
     24894
     24895ac_cv_lib_gmp___gmpz_init=no
     24896fi
     24897rm -f conftest.err conftest.$ac_objext \
     24898      conftest$ac_exeext conftest.$ac_ext
     24899LIBS=$ac_check_lib_save_LIBS
     24900fi
     24901echo "$as_me:$LINENO: result: $ac_cv_lib_gmp___gmpz_init" >&5
     24902echo "${ECHO_T}$ac_cv_lib_gmp___gmpz_init" >&6
     24903if test $ac_cv_lib_gmp___gmpz_init = yes; then
     24904  coin_has_gmp=yes
     24905fi
     24906
     24907fi
     24908
     24909done
     24910
     24911
     24912
     24913  if test $coin_has_gmp = yes ; then
     24914
     24915                    SCIPLIB_LIBS="-lgmp $SCIPLIB_LIBS"
     24916                    SCIPLIB_PCLIBS="-lgmp $SCIPLIB_PCLIBS"
     24917                    SCIPLIB_LIBS_INSTALLED="-lgmp $SCIPLIB_LIBS_INSTALLED"
     24918
     24919
     24920cat >>confdefs.h <<\_ACEOF
     24921#define COIN_HAS_GMP 1
     24922_ACEOF
     24923
     24924  fi
     24925fi
     24926
     24927if test $coin_has_gmp = yes; then
     24928  EXTRAFLAGS="$EXTRAFLAGS -DWITH_GMP"
     24929fi
     24930
     24931# Check whether --enable-gnu-packages or --disable-gnu-packages was given.
     24932if test "${enable_gnu_packages+set}" = set; then
     24933  enableval="$enable_gnu_packages"
     24934  coin_enable_gnu=$enableval
     24935else
     24936  coin_enable_gnu=no
     24937fi;
     24938
     24939
     24940
     24941
     24942
     24943
     24944
     24945coin_has_readline=no
     24946if test $coin_enable_gnu = yes; then
     24947  #if test x"#include <stdio.h>" = x; then
     24948#  hdr="#include <readline/readline.h>"
     24949#else
     24950#  hdr="#include <stdio.h>"
     24951#fi
     24952#AC_CHECK_HEADERS([readline/readline.h],[coin_has_readline=yes],[],[$hdr])
     24953
     24954for ac_header in readline/readline.h
     24955do
     24956as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     24957echo "$as_me:$LINENO: checking for $ac_header" >&5
     24958echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     24959if eval "test \"\${$as_ac_Header+set}\" = set"; then
     24960  echo $ECHO_N "(cached) $ECHO_C" >&6
     24961else
     24962  cat >conftest.$ac_ext <<_ACEOF
     24963/* confdefs.h.  */
     24964_ACEOF
     24965cat confdefs.h >>conftest.$ac_ext
     24966cat >>conftest.$ac_ext <<_ACEOF
     24967/* end confdefs.h.  */
     24968#include <stdio.h>
     24969
     24970#include <$ac_header>
     24971_ACEOF
     24972rm -f conftest.$ac_objext
     24973if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     24974  (eval $ac_compile) 2>conftest.er1
     24975  ac_status=$?
     24976  grep -v '^ *+' conftest.er1 >conftest.err
     24977  rm -f conftest.er1
     24978  cat conftest.err >&5
     24979  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24980  (exit $ac_status); } &&
     24981         { ac_try='test -z "$ac_c_werror_flag"
     24982                         || test ! -s conftest.err'
     24983  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24984  (eval $ac_try) 2>&5
     24985  ac_status=$?
     24986  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24987  (exit $ac_status); }; } &&
     24988         { ac_try='test -s conftest.$ac_objext'
     24989  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     24990  (eval $ac_try) 2>&5
     24991  ac_status=$?
     24992  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     24993  (exit $ac_status); }; }; then
     24994  eval "$as_ac_Header=yes"
     24995else
     24996  echo "$as_me: failed program was:" >&5
     24997sed 's/^/| /' conftest.$ac_ext >&5
     24998
     24999eval "$as_ac_Header=no"
     25000fi
     25001rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     25002fi
     25003echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     25004echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     25005if test `eval echo '${'$as_ac_Header'}'` = yes; then
     25006  cat >>confdefs.h <<_ACEOF
     25007#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     25008_ACEOF
     25009 coin_has_readline=yes
     25010fi
     25011
     25012done
     25013
     25014
     25015
     25016  coin_save_LIBS="$LIBS"
     25017  LIBS=
     25018  # First we check if tputs and friends are available
     25019  if test $coin_has_readline = yes; then
     25020    echo "$as_me:$LINENO: checking for library containing tputs" >&5
     25021echo $ECHO_N "checking for library containing tputs... $ECHO_C" >&6
     25022if test "${ac_cv_search_tputs+set}" = set; then
     25023  echo $ECHO_N "(cached) $ECHO_C" >&6
     25024else
     25025  ac_func_search_save_LIBS=$LIBS
     25026ac_cv_search_tputs=no
     25027cat >conftest.$ac_ext <<_ACEOF
     25028/* confdefs.h.  */
     25029_ACEOF
     25030cat confdefs.h >>conftest.$ac_ext
     25031cat >>conftest.$ac_ext <<_ACEOF
     25032/* end confdefs.h.  */
     25033
     25034/* Override any gcc2 internal prototype to avoid an error.  */
     25035#ifdef __cplusplus
     25036extern "C"
     25037#endif
     25038/* We use char because int might match the return type of a gcc2
     25039   builtin and then its argument prototype would still apply.  */
     25040char tputs ();
     25041int
     25042main ()
     25043{
     25044tputs ();
     25045  ;
     25046  return 0;
     25047}
     25048_ACEOF
     25049rm -f conftest.$ac_objext conftest$ac_exeext
     25050if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25051  (eval $ac_link) 2>conftest.er1
     25052  ac_status=$?
     25053  grep -v '^ *+' conftest.er1 >conftest.err
     25054  rm -f conftest.er1
     25055  cat conftest.err >&5
     25056  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25057  (exit $ac_status); } &&
     25058         { ac_try='test -z "$ac_c_werror_flag"
     25059                         || test ! -s conftest.err'
     25060  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25061  (eval $ac_try) 2>&5
     25062  ac_status=$?
     25063  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25064  (exit $ac_status); }; } &&
     25065         { ac_try='test -s conftest$ac_exeext'
     25066  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25067  (eval $ac_try) 2>&5
     25068  ac_status=$?
     25069  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25070  (exit $ac_status); }; }; then
     25071  ac_cv_search_tputs="none required"
     25072else
     25073  echo "$as_me: failed program was:" >&5
     25074sed 's/^/| /' conftest.$ac_ext >&5
     25075
     25076fi
     25077rm -f conftest.err conftest.$ac_objext \
     25078      conftest$ac_exeext conftest.$ac_ext
     25079if test "$ac_cv_search_tputs" = no; then
     25080  for ac_lib in ncurses termcap curses; do
     25081    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
     25082    cat >conftest.$ac_ext <<_ACEOF
     25083/* confdefs.h.  */
     25084_ACEOF
     25085cat confdefs.h >>conftest.$ac_ext
     25086cat >>conftest.$ac_ext <<_ACEOF
     25087/* end confdefs.h.  */
     25088
     25089/* Override any gcc2 internal prototype to avoid an error.  */
     25090#ifdef __cplusplus
     25091extern "C"
     25092#endif
     25093/* We use char because int might match the return type of a gcc2
     25094   builtin and then its argument prototype would still apply.  */
     25095char tputs ();
     25096int
     25097main ()
     25098{
     25099tputs ();
     25100  ;
     25101  return 0;
     25102}
     25103_ACEOF
     25104rm -f conftest.$ac_objext conftest$ac_exeext
     25105if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25106  (eval $ac_link) 2>conftest.er1
     25107  ac_status=$?
     25108  grep -v '^ *+' conftest.er1 >conftest.err
     25109  rm -f conftest.er1
     25110  cat conftest.err >&5
     25111  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25112  (exit $ac_status); } &&
     25113         { ac_try='test -z "$ac_c_werror_flag"
     25114                         || test ! -s conftest.err'
     25115  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25116  (eval $ac_try) 2>&5
     25117  ac_status=$?
     25118  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25119  (exit $ac_status); }; } &&
     25120         { ac_try='test -s conftest$ac_exeext'
     25121  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25122  (eval $ac_try) 2>&5
     25123  ac_status=$?
     25124  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25125  (exit $ac_status); }; }; then
     25126  ac_cv_search_tputs="-l$ac_lib"
     25127break
     25128else
     25129  echo "$as_me: failed program was:" >&5
     25130sed 's/^/| /' conftest.$ac_ext >&5
     25131
     25132fi
     25133rm -f conftest.err conftest.$ac_objext \
     25134      conftest$ac_exeext conftest.$ac_ext
     25135  done
     25136fi
     25137LIBS=$ac_func_search_save_LIBS
     25138fi
     25139echo "$as_me:$LINENO: result: $ac_cv_search_tputs" >&5
     25140echo "${ECHO_T}$ac_cv_search_tputs" >&6
     25141if test "$ac_cv_search_tputs" != no; then
     25142  test "$ac_cv_search_tputs" = "none required" || LIBS="$ac_cv_search_tputs $LIBS"
     25143
     25144else
     25145  coin_has_readline=no
     25146fi
     25147
     25148  fi
     25149
     25150  # Now we check for readline
     25151  if test $coin_has_readline = yes; then
     25152    echo "$as_me:$LINENO: checking for readline in -lreadline" >&5
     25153echo $ECHO_N "checking for readline in -lreadline... $ECHO_C" >&6
     25154if test "${ac_cv_lib_readline_readline+set}" = set; then
     25155  echo $ECHO_N "(cached) $ECHO_C" >&6
     25156else
     25157  ac_check_lib_save_LIBS=$LIBS
     25158LIBS="-lreadline  $LIBS"
     25159cat >conftest.$ac_ext <<_ACEOF
     25160/* confdefs.h.  */
     25161_ACEOF
     25162cat confdefs.h >>conftest.$ac_ext
     25163cat >>conftest.$ac_ext <<_ACEOF
     25164/* end confdefs.h.  */
     25165
     25166/* Override any gcc2 internal prototype to avoid an error.  */
     25167#ifdef __cplusplus
     25168extern "C"
     25169#endif
     25170/* We use char because int might match the return type of a gcc2
     25171   builtin and then its argument prototype would still apply.  */
     25172char readline ();
     25173int
     25174main ()
     25175{
     25176readline ();
     25177  ;
     25178  return 0;
     25179}
     25180_ACEOF
     25181rm -f conftest.$ac_objext conftest$ac_exeext
     25182if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25183  (eval $ac_link) 2>conftest.er1
     25184  ac_status=$?
     25185  grep -v '^ *+' conftest.er1 >conftest.err
     25186  rm -f conftest.er1
     25187  cat conftest.err >&5
     25188  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25189  (exit $ac_status); } &&
     25190         { ac_try='test -z "$ac_c_werror_flag"
     25191                         || test ! -s conftest.err'
     25192  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25193  (eval $ac_try) 2>&5
     25194  ac_status=$?
     25195  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25196  (exit $ac_status); }; } &&
     25197         { ac_try='test -s conftest$ac_exeext'
     25198  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25199  (eval $ac_try) 2>&5
     25200  ac_status=$?
     25201  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25202  (exit $ac_status); }; }; then
     25203  ac_cv_lib_readline_readline=yes
     25204else
     25205  echo "$as_me: failed program was:" >&5
     25206sed 's/^/| /' conftest.$ac_ext >&5
     25207
     25208ac_cv_lib_readline_readline=no
     25209fi
     25210rm -f conftest.err conftest.$ac_objext \
     25211      conftest$ac_exeext conftest.$ac_ext
     25212LIBS=$ac_check_lib_save_LIBS
     25213fi
     25214echo "$as_me:$LINENO: result: $ac_cv_lib_readline_readline" >&5
     25215echo "${ECHO_T}$ac_cv_lib_readline_readline" >&6
     25216if test $ac_cv_lib_readline_readline = yes; then
     25217  :
     25218else
     25219  coin_has_readline=no
     25220fi
     25221
     25222  fi
     25223
     25224  if test $coin_has_readline = yes; then
     25225
     25226                    SCIPLIB_LIBS="-lreadline $LIBS $SCIPLIB_LIBS"
     25227                    SCIPLIB_PCLIBS="-lreadline $LIBS $SCIPLIB_PCLIBS"
     25228                    SCIPLIB_LIBS_INSTALLED="-lreadline $LIBS $SCIPLIB_LIBS_INSTALLED"
     25229
     25230
     25231cat >>confdefs.h <<\_ACEOF
     25232#define COIN_HAS_READLINE 1
     25233_ACEOF
     25234
     25235  fi
     25236
     25237  LIBS="$coin_save_LIBS"
     25238fi
     25239
     25240if test $coin_has_readline = yes; then
     25241  EXTRAFLAGS="$EXTRAFLAGS -DWITH_READLINE"
    2466725242fi
    2466825243
  • ThirdParty/SCIP/trunk/configure.ac

    r2419 r2429  
    205205fi
    206206
     207AC_COIN_CHECK_GMP(SCIPLib)
     208if test $coin_has_gmp = yes; then
     209  EXTRAFLAGS="$EXTRAFLAGS -DWITH_GMP" 
     210fi
     211
     212AC_COIN_CHECK_GNU_READLINE(SCIPLib)
     213if test $coin_has_readline = yes; then
     214  EXTRAFLAGS="$EXTRAFLAGS -DWITH_READLINE" 
     215fi
     216
    207217AC_CHECK_MEMBER(struct sigaction.sa_handler,,
    208218  [EXTRAFLAGS="$EXTRAFLAGS -DNO_SIGACTION"],
Note: See TracChangeset for help on using the changeset viewer.